Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
Class ArrayExpression

Represents an array object construction either using a fixed size or an initializer expression

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`ClassNode` | `elementType`
`List` | `expressions`
`List` | `sizeExpression`

Constructor Summary
`ArrayExpression(ClassNode elementType, List expressions, List sizeExpression)`
`ArrayExpression(ClassNode elementType, List expressions)` Creates an array using an initializer expression

Method Summary
`void` | `addExpression(Expression expression)`
`ClassNode` | `getElementType()`
`Expression` | `getExpression(int i)`
`List` | `getExpressions()`
`List` | `getSizeExpression()`
`String` | `getText()`
`boolean` | `isDynamic()`
`static ClassNode` | `makeArray(ClassNode base, List sizeExpression)`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### ArrayExpression

    public ArrayExpression(ClassNode elementType, List expressions, List sizeExpression)

### ArrayExpression

    public ArrayExpression(ClassNode elementType, List expressions)

  Creates an array using an initializer expression

Method Detail

### addExpression

    public void addExpression(Expression expression)

### getElementType

    public ClassNode getElementType()

### getExpression

    public Expression getExpression(int i)

### getExpressions

    public List getExpressions()

### getSizeExpression

    public List getSizeExpression()

### getText

    public String getText()

### isDynamic

    public boolean isDynamic()

### makeArray

    static ClassNode makeArray(ClassNode base, List sizeExpression)

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)